Name:          hivex
Version:       1.3.21
Release:       2mamba
Summary:       Windows registry hive extraction library
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libguestfs.org/hivex.3.html
Source:        https+git://github.com/libguestfs/hivex.git/v%{version}/hivex-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython310-devel
BuildRequires: libreadline-devel
BuildRequires: libruby-devel
BuildRequires: libxml2-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
BuildRequires: perl-Encode
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
windows registry hive extraction library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n perl-%{name}
Group:         System/Libraries/Perl
Summary:       Perl bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n perl-%{name}
This package contains the Perl bindings for %{name}.

%package -n python-%{name}
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package contains the Python bindings for %{name}.

%package -n ruby-%{name}
Group:         System/Libraries/Python
Summary:       Ruby bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ruby-%{name}
This package contains the Ruby bindings for %{name}.

%package -n ocaml-%{name}
Group:         System/Libraries/Ocaml
Summary:       Ocaml bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ocaml-%{name}
This package contains the Ocaml bindings for %{name}.

%package -n ocaml-%{name}-devel
Group:         Development/Libraries
Summary:       Development files for Ocaml bindings for %{name}
Requires:      ocaml-%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ocaml-%{name}-devel
This package contains the development files for Ocaml bindings for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   PYTHON=%{__python310}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/hivexget
%{_bindir}/hivexml
%{_bindir}/hivexregedit
%{_bindir}/hivexsh
%{_mandir}/man1/hivex*.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libhivex.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/hivex.h
%{_libdir}/libhivex.a
%{_libdir}/libhivex.so
%{_libdir}/pkgconfig/hivex.pc
%{_mandir}/man3/Win::Hivex.3pm*
%{_mandir}/man3/Win::Hivex::Regedit.3pm*
%{_mandir}/man3/hivex.3*
#%doc README TODO

%files -n perl-%{name}
%defattr(-,root,root)
%{perl_sitearch}/*

%files -n python-%{name}
%defattr(-,root,root)
%dir %{python310_sitearch}/hivex
%{python310_sitearch}/hivex/*
%{python310_sitearch}/libhivexmod.cpython-*.so

%files -n ruby-%{name}
%defattr(-,root,root)
%{ruby_sitelib}/hivex.rb
%{ruby_sitearch}/_hivex.so

%files -n ocaml-%{name}
%defattr(-,root,root)
%dir %{_libdir}/ocaml/hivex
%{_libdir}/ocaml/hivex/META
%{_libdir}/ocaml/hivex/mlhivex.cma
%{_libdir}/ocaml/hivex/hivex.cmi
%{_libdir}/ocaml/hivex/hivex.cmx
%{_libdir}/ocaml/stublibs/dllmlhivex.so
%{_libdir}/ocaml/stublibs/dllmlhivex.so.owner

%files -n ocaml-%{name}-devel
%defattr(-,root,root)
%dir %{_libdir}/ocaml/hivex
%{_libdir}/ocaml/hivex/hivex.mli
%{_libdir}/ocaml/hivex/libmlhivex.a
%{_libdir}/ocaml/hivex/mlhivex.a
%{_libdir}/ocaml/hivex/mlhivex.cmxa

%changelog
* Sat Jul 08 2023 Sdk Build System <sdk@mambasoft.it> 1.3.21-2mamba
- rebuilt with ocaml 4.14.1

* Sat Aug 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.21-1mamba
- package created using the webbuild interface
